Package Details: mingw-w64-vulkan-icd-loader 1.3.240-1

Git Clone URL: https://aur.archlinux.org/mingw-w64-vulkan-icd-loader.git (read-only, click to copy)
Package Base: mingw-w64-vulkan-icd-loader
Description: Vulkan Installable Client Driver (ICD) Loader (mingw-w64)
Upstream URL: https://www.khronos.org/vulkan/
Licenses: Apache
Submitter: luigoalma
Maintainer: patlefort
Last Packager: patlefort
Votes: 4
Popularity: 0.74
First Submitted: 2019-02-09 02:32 (UTC)
Last Updated: 2023-01-29 22:01 (UTC)

Latest Comments

1 2 Next › Last »

patlefort commented on 2023-01-03 19:52 (UTC)

I was testing something and forgot to re-enable it. It's re-enabled now.

xantares commented on 2023-01-03 17:30 (UTC)

hi,

why did you drop the i686 architecture ?

could you re-enable it ? it builds fine

patlefort commented on 2022-09-02 10:22 (UTC)

Setting CMAKE_CXX_FLAGS_RELEASE does not overwrite flags set by mingw-env. Flags set by the later will fill CMAKE_CXX_FLAGS and CMAKE_C_FLAGS. The _RELEASE flags are used only if the build type is set to Release and are appended to the base flags. However I did incorrectly used CMAKE_CXX_FLAGS_RELEASE instead of CMAKE_C_FLAGS_RELEASE and I've removed -02. Maybe mingw-env should also define NDEBUG? Generally we don't want to enable runtime assertions in release builds.

xantares commented on 2022-09-01 18:43 (UTC)

Please dont set CMAKE_CXX_FLAGS_RELEASE, flags are already set by mingw-cmake

xantares commented on 2022-09-01 15:36 (UTC) (edited on 2022-09-01 15:42 (UTC) by xantares)

If you comment that include the build can continue (these symbols are dynamically loaded).

https://github.com/KhronosGroup/Vulkan-Loader/pull/1006

patlefort commented on 2022-07-15 23:09 (UTC)

The latest version (1.3.221) uses appmodel.h, which is not available yet in mingw. A patch has been sent to mingw about a week ago: https://sourceforge.net/p/mingw-w64/mailman/mingw-w64-public/thread/CALK-3mLynzo8%3D9tOoGjwUUWTCtG_MHb5L1Pzd_GCQ%2B8pR637MQ%40mail.gmail.com/#msg37677890

patlefort commented on 2022-03-22 21:04 (UTC)

I've removed the static build.

Martchus commented on 2022-03-22 11:06 (UTC)

Ok, thanks for the info. For my (rather Qt 6 specific) mingw-w64-cmake-static package I've already had to add a special case¹ to make it "use" the shared lib (while otherwise enforcing to use only static libs). I think at least for Qt that's also ok because it doesn't actually link against the library anyways. (Btw, in my repo only mesa links against the shared lib² and I don't think mesa has any business with static libs as well.)


¹ https://aur.archlinux.org/cgit/aur.git/tree/toolchain-mingw-static.cmake?h=mingw-w64-cmake-static#n21 ² https://martchus.no-ip.biz/buildservice/#package-search-section?name%3Dpe-x86_64%253A%253Alibvulkan-1.dll%26mode%3Dlibdepends

xantares commented on 2022-03-22 08:03 (UTC)

for the info, the static version wont work, see

https://github.com/KhronosGroup/Vulkan-Loader/pull/367